<?php
use Incoviba\Controller\API\Sociedades;

$app->group('/sociedades', function($app) {
    $app->group('/add', function($app) {
        $app->post('/one[/]', Sociedades::class . ':add');
        $app->post('[/]', Sociedades::class . ':addMany');
    });
    $app->post('/get[/]', [Sociedades::class, 'getMany']);
    $app->post('/edit[/]', [Sociedades::class, 'edit']);
    $app->post('/delete[/]', [Sociedades::class, 'delete']);
    $app->post('/asisgnar[/]', [Sociedades::class, 'asignar']);
    $app->get('[/]', Sociedades::class);
});
$app->group('/sociedad/{sociedad_rut}', function($app) {
    $app->get('[/]', Sociedades::class . ':get');
});
